Index: osx-app.sh
===================================================================
--- osx-app.sh	(revision 22332)
+++ osx-app.sh	(working copy)
@@ -334,12 +334,14 @@
 
 # Find out libs we need from fink, darwinports, or from a custom install
 # (i.e. $LIBPREFIX), then loop until no changes.
+# Note: the sed replacement is to make sure we include dependencies of
+# the prebuilt python packages that may have been built against /opt/local.
 a=1
 nfiles=0
 endl=true
 while $endl; do
 	echo -e "\033[1mLooking for dependencies.\033[0m Round" $a
-	libs="`otool -L $pkglib/gtk-2.0/$gtk_version/{engines,immodules,loaders,printbackends}/*.{dylib,so} $pkglib/pango/$pango_version/modules/* $pkglib/gnome-vfs-2.0/modules/* $package/Contents/Resources/lib/* $pkglib/ImageMagick-$IMAGEMAGICKVER/modules-Q16/{filters,coders}/*.so $binary 2>/dev/null | fgrep compatibility | cut -d\( -f1 | grep $LIBPREFIX | sort | uniq`"
+	libs="`otool -L $pkglib/gtk-2.0/$gtk_version/{engines,immodules,loaders,printbackends}/*.{dylib,so} $pkglib/pango/$pango_version/modules/* $pkglib/gnome-vfs-2.0/modules/* $package/Contents/Resources/lib/* $pkglib/ImageMagick-$IMAGEMAGICKVER/modules-Q16/{filters,coders}/*.so $package/Contents/Resources/python/site-packages/*/*/*/*.so $binary 2>/dev/null | fgrep compatibility | cut -d\( -f1 | sed "s:/opt/local/:$LIBPREFIX/:g" | grep $LIBPREFIX | sort | uniq`"
 	cp -f $libs $package/Contents/Resources/lib
 	let "a+=1"	
 	nnfiles=`ls $package/Contents/Resources/lib | wc -l`
@@ -350,6 +352,7 @@
 	fi
 done
 
+
 # Add extra libraries of necessary
 for libfile in $EXTRALIBS
 do
@@ -404,6 +407,19 @@
 rewritelibpaths () {
 	# 
 	# Fix package deps
+	for DIR in $package/Contents/Resources/python/site-packages/*/*/*
+	do
+		if [ -d "$DIR" ]; then
+			(cd "$DIR"
+			for file in *.so; do
+				if [ "$file" != '*.so' ]; then
+					echo "Rewriting dylib paths for $file..."
+					fixlib "$file" "`pwd`"
+				fi
+			done
+			)
+		fi
+	done
 	(cd "$package/Contents/Resources/lib/gtk-2.0/2.10.0/loaders"
 	for file in *.so; do
 		echo "Rewriting dylib paths for $file..."
